Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.context.exe
Class TokenVariableMap

    java.lang.Object
      org.jbpm.context.exe.VariableContainer
          org.jbpm.context.exe.TokenVariableMap

All Implemented Interfaces:
  java.io.Serializable

    public class TokenVariableMap

extends VariableContainer
implements java.io.Serializable

is a jbpm-internal map of variableInstances related to one `Token`. Each token has it's own map of variableInstances, thereby creating hierarchy and scoping of process variableInstances.

See Also:
  Serialized Form

Field Summary
`protected ContextInstance` | `contextInstance`
`protected Token` | `token`

Fields inherited from class org.jbpm.context.exe.VariableContainer
`variableInstances`

Constructor Summary
`TokenVariableMap()`
`TokenVariableMap(Token token, ContextInstance contextInstance)`

Method Summary
`void` | `addVariableInstance(VariableInstance variableInstance)`
`ContextInstance` | `getContextInstance()`
`protected VariableContainer` | `getParentVariableContainer()`
`Token` | `getToken()`
`java.util.Map` | `getVariableInstances()`
`java.lang.String` | `toString()`

Methods inherited from class org.jbpm.context.exe.VariableContainer
`addVariables, deleteVariable, deleteVariableInstance, deleteVariableLocally, getUpdatedVariableContainers, getVariable, getVariableInstance, getVariableLocally, getVariables, getVariablesLocally, hasVariable, hasVariableLocally, setVariable, setVariableLocally, setVariables`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### token

    protected Token token

### contextInstance

    protected ContextInstance contextInstance

Constructor Detail

### TokenVariableMap

    public TokenVariableMap()

### TokenVariableMap

    public TokenVariableMap(Token token,
                            ContextInstance contextInstance)

Method Detail

### addVariableInstance

    public void addVariableInstance(VariableInstance variableInstance)

  Overrides:
    `addVariableInstance` in class `VariableContainer`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getParentVariableContainer

    protected VariableContainer getParentVariableContainer()

  Specified by:
    `getParentVariableContainer` in class `VariableContainer`

### getContextInstance

    public ContextInstance getContextInstance()

  Overrides:
    `getContextInstance` in class `VariableContainer`

### getToken

    public Token getToken()

  Specified by:
    `getToken` in class `VariableContainer`

### getVariableInstances

    public java.util.Map getVariableInstances()

  Overrides:
    `getVariableInstances` in class `VariableContainer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD